Draft: B-spline

From FreeCAD Documentation
Jump to: navigation, search
This page is a translated version of the page Draft BSpline and the translation is 100% complete.

Other languages:
čeština • ‎Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎polski • ‎română • ‎русский • ‎svenska • ‎Türkçe
Arrow-left.svg Draft Dimension.svg Quotatura Pagina precedente:
Pagina successiva: Punto Draft Point.svg Arrow-right.svg

Draft BSpline.svg B-spline

Posizione nel menu
Draft → B-spline
Ambiente
Draft, Architettura
Avvio veloce
B S
Introdotto nella versione
0.7
Vedere anche
Polilinea, Curva di Bezier


Descrizione

Lo strumento B-spline crea una linea flessibile, passante per i punti selezionati nel piano di lavoro corrente. La B-spline assume il tipo di linea e il colore impostati nella Barra dei comandi del Vassoio di Draft.

Lo strumento B-spline si comporta come lo strumento Polilinea, tranne che ciascuno dei suoi tratti è curvo invece di essere un segmento retto. Per convertire tra un tipo l'altro usare Polilinea in B-spline.

Lo strumento B-spline specifica i punti esatti attraverso i quali deve passare la curva; invece lo strumento Curva di Bezier usa i punti di controllo per definire l'andamento della curva. Per creare curve circolari o ellittiche esatte, usare Arco e Ellisse.

Draft bspline example.jpg

S-pline definita da più punti


Utilizzo

  1. Premere il pulsante Draft BSpline.png B-spline, o premere i tasti B e poi S.
  2. Selezionare il primo punto nella vista 3D, o digitare le coordinate e poi premere il pulsante Draft AddPoint.svg aggiungi punto.
  3. Selezionare un altro punto nella vista 3D, o digitare le sue coordinate e poi premere il pulsante Draft AddPoint.svg aggiungi punto.
  4. Premere Esc o il pulsante Close per completare l'editazione.

La B-spline può essere modificata facendo doppio clic sull'elemento nella vista ad albero o premendo il pulsante Draft Edit.svg Modifica. Quindi si può spostare i punti in una nuova posizione o fare clic su Draft AddPoint.svg aggiungi punto o Draft DelPoint.svg rimuovi punto e quindi fare clic sul tracciato per aggiungere o rimuovere punti.

Opzioni

  • Premere il tasto A o il pulsante Draft FinishLine.png Termina pulsante per terminare la spline, lasciandola aperta.
  • Premere il tasto O o il pulsante Draft CloseLine.png Chiudi per chiudere la spline, questo aggiuge una curva dall'ultimo punto al primo per formare una faccia. Sono necessari almeno tre punti per formare una faccia.
  • Premere il tasto W o il pulsante Draft Wipe.svg Pulisci per rimuovere i tratti di curva già posizionati, ma continuare a creare la spline dall'ultimo punto.
  • Premere il tasto U o il pulsante Draft SelectPlane.svg Imposta il piano per posizionare il piano di lavoro corrente nell'orientamento dell'ultimo punto.
  • Premere il tasto X, o Y o Z dopo un punto per vincolare il successivo punto sul dato asse.
  • Per inserire le coordinate manualmente, è sufficiente inserire i numeri, quindi premere Invio per ciascun componente X, Y e Z. È possibile premere il pulsante Draft AddPoint.svg Inserisci punto quando si hanno i valori desiderati per inserire il punto.
  • Premere il tasto R oppure fare clic sulla casella di controllo per attivare la modalità "relativo". Se la modalità relativo è attiva, le coordinate del punto successivo sono relative all'ultimo; in caso contrario, sono assolute, prese dall'origine (0,0,0).
  • Premere il tasto T oppure fare clic sulla casella di controllo per attivare la modalità "continua". Se la modalità continua è attiva, lo strumento B-spline si riavvia dopo aver terminato la B-spline in costruzione, e consente di disegnare una nuova B-spline senza premere nuovamente il pulsante dello strumento.
  • Premere il tasto L oppure fare clic sulla casella di controllo per attivare la modalità riempito. Se la modalità di riempimento è attiva una spline chiusa crea una faccia piena (DATAMake Face True); in caso contrario, la spline chiusa non crea una faccia (DATAMake Face False).
Nota: la spline non deve essere riempita se si autointerseca, in quanto non crea una faccia corretta. Se la spline è piena ma non è visibile nessuna forma, impostare manualmente DATAMake Face su False per vedere la spline.
  • Tenere premuto Ctrl mentre si disegna per forzare l'aggancio del proprio punto alla posizione di aggancio più vicina, indipendentemente dalla distanza.
  • Tenere premuto Maiusc mentre si disegna per vincolare il punto successivo in orizzontale o in verticale rispetto all'ultimo.
  • Premere Ctrl+Z o il pulsante Draft UndoLine.png Undo per annullare l'ultimo punto.
  • Premere il tasto Esc o il pulsante Chiudi per interrompere il comando corrente; i tratti di linea già posizionati rimamgono.

Proprietà

Un oggetto B-spline condivide tutte le proprietà di una Polilinea, però, alcune proprietà hanno senso solo per una Polilinea.

Dati

  • DATAClosed: specifica se la spline è chiusa o no. Se la spline è inizialmente aperta, questo valore è False; impostandolo su True viene disegnato un tratto di curva per chiudere la spline. Se la spline è inizialmente chiusa, questo valore è True; impostandolo su False si rimuove l'ultimo segmento di curva e si apre la spline.
  • DATAMake Face: specifica se la spline crea o no una faccia. Se è True crea una faccia, altrimenti solo il perimetro è considerato parte dell'oggetto. Questa proprietà funziona solo se DATAClosed è True.
Nota: non impostare DATAMake Face su True se la spline si autointerseca, poiché non crea una faccia corretta.
  • DATAParameterization: influenza la forma della B-spline.

Vista

  • VIEWArrow Size: specifica la dimensione del simbolo visualizzato alla fine della spline.
  • VIEWArrow Type: specifica il tipo di simbolo visualizzato alla fine della spline, che può essere "Dot", "Circle", "Arrow", o "Tick".
  • VIEWEnd Arrow: specifica se mostrare il simbolo nell'ultimo punto della spline, in modo che possa essere usata come una linea di annotazione.
  • VIEWPattern: specifica un tipo di Campitura con cui riempire la faccia della spline chiusa. Questa proprietà funziona solo se DATAMake Face è True, e se VIEWDisplay Mode è "Flat Lines".
  • VIEWPattern Size: specifica la dimensione della Campitura.

Script

Vedere anche: API Draft e Nozioni di base sugli script di FreeCAD.

Lo strumento B-spline può essere utilizzato nelle macro e dalla console Python tramite la seguente funzione:

BSpline = makeBSpline(pointslist, closed=False, placement=None, face=None, support=None)
BSpline = makeBSpline(Part.Wire, closed=False, placement=None, face=None, support=None)
  • Crea un oggetto BSpline dalla lista di punti fornita da pointslist.
    • Ogni punto nella lista è definito dal suo FreeCAD.Vector, con unità in millimetri.
    • In alternativa, l'input può essere una Part.Wire, da cui vengono estratti i punti.
  • Se closed è True, o se il primo e l'ultimo punto coincidono, la spline è chiusa.
  • Se viene dato un placement esso viene usato; altrimenti la forma viene creata nell'origine.
  • Se face è True e la spline è chiusa, diventa una faccia e appare riempita.

Esempio:

import FreeCAD, Draft

p1 = FreeCAD.Vector(0, 0, 0)
p2 = FreeCAD.Vector(1000, 1000, 0)
p3 = FreeCAD.Vector(2000, 0, 0)

BSpline1 = Draft.makeBSpline([p1, p2, p3], closed=True)
BSpline2 = Draft.makeBSpline([p1, 2*p3, 1.3*p2], closed=True)
BSpline3 = Draft.makeBSpline([1.3*p3, p1, -1.7*p2], closed=True)
Arrow-left.svg Draft Dimension.svg Quotatura Pagina precedente:
Pagina successiva: Punto Draft Point.svg Arrow-right.svg